Gateway Hub Compatibility Matrix

Supported versions

The supported Geneos versions are:

  • Geneos 5.x (current major version)
  • Geneos 4.x (previous major version) Please note, these versions may not be supported on some newer platforms, databases, browsers, and applications.
  • Gateway Hub 2.x (current major version)
  • Gateway Hub 1.x (previous major version)
  • SSO Agent 2.x
  • SSO Agent 1.x

For more information about compatibility between Geneos components, see Compatibility Matrix

Feature availability

Gateway Hub must connect to other Geneos components to perform many functions. You should ensure your installed version of Gateway Hub is compatible with the other components required to use the desired features.

Gateway Hub version Gateway metrics Centralised configuration Anomaly detection
1.2

Gateway version:

  • < 4.12 — legacy topics only.
  • 4.12 — legacy topics only.
  • 4.13 — legacy topics only.
Not supported. Not supported.
1.3

Gateway version:

  • < 4.12 — legacy topics only.
  • 4.12 — legacy topics only.
  • 4.13 — legacy topics only.

Gateway version:

  • 4.11

Gateway Setup Editor version:

  • 4.11
Not supported.
1.4

Gateway version:

  • < 4.12 — legacy topics only.
  • 4.12 — merged topics with legacy fall-back.
  • 4.13 — merged topics with legacy fall-back.
  • 5.0 — merged topics.

Gateway version:

  • 4.12
  • 4.13

Gateway Setup Editor version:

  • 4.12
  • 4.13
Not supported.
1.5

Gateway version:

  • < 4.12 — legacy topics only.
  • 4.12 — merged topics with legacy fall-back.
  • 4.13 — merged topics with legacy fall-back.
  • 5.0 — merged topics.

Gateway version:

  • 4.13

Gateway Setup Editor version:

  • 4.13

Gateway version:

  • 4.13
  • 5.0
1.6 +

Gateway version:

  • 4.12 — merged topics only. Fails if start up not coordinated.
  • 4.13 — merged topics only. Fails if start up not coordinated.
  • 5.0 — merged topics.

Gateway version:

  • 5.0

Gateway Setup Editor version:

  • 5.0
Gateway version:
  • 4.13
  • 5.0

Caution: When performing an upgrade from any Gateway Hub version earlier than 1.6 this will not preserve centralised configuration data.

Merged and legacy topics

Gateway and Gateway Hub communicate metric data using Kafka publishing. In Gateway Hub version 1.4 and Gateway version 4.12 we updated the structure of the topic files used to publish data from Gateways from the Legacy topic specification to the Merged topic specification.

Using merged topics is more efficient in terms of network bandwidth and processing resources and simplifies publishing from Gateway Hub to external Kafka instances.

When a Gateway starts it will attempt to detect the Gateway Hub version and use the appropriate topic specification. If a Gateway is started before the Gateway Hub REST API then this is not possible.

Gateways will respond to an unknown Gateway Hub version as follows:

Gateway version Behaviour
4.12 Fall back to the legacy topic specification.
4.13 Fall back to the legacy topic specification.
5.0 + Will not connect.